Object subclass: #AlgoNui
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'ParcialAlgoNui'!

!AlgoNui methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:21'!
prepararCremosoConPromoFraPooKg: losKilos
	
| helado | 

helado := Helado cremoso.

helado kilos: losKilos.
helado tienePromoFraPoo: true.

^ helado .! !

!AlgoNui methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:20'!
prepararFrutalKg: losKilos
	
| helado  | 

helado := Helado frutal.
helado kilos: losKilos .

^ helado .! !

!AlgoNui methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:20'!
prepararFrutalLightKg: losKilos
	
| helado  | 

helado := Helado frutal.
helado kilos: losKilos .
helado light: true.

^ helado .! !

!AlgoNui methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:05'!
prepararFrutalConPromoFraPooKg: losKilos
	
| helado | 

helado := Helado frutal.

helado kilos: losKilos.
helado frutal: true.
helado tienePromoFraPoo: true.

^ helado .! !

!AlgoNui methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:20'!
prepararFrutalLightKgconPromoFraPoo: losKilos
	
| helado  | 

helado := Helado frutal.
helado kilos: losKilos .
helado light: true.
helado tienePromoFraPoo: true.

^ helado .! !

!AlgoNui methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:21'!
prepararCremosoKg: losKilos
	
| helado  | 

helado := Helado cremoso.
helado kilos: losKilos .

^ helado .! !


Object subclass: #Cremoso
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'ParcialAlgoNui'!

!Cremoso methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:22'!
incrementar: cal con: kilos
	^cal + (kilos * 1000).! !


Object subclass: #Frutal
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'ParcialAlgoNui'!

!Frutal methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:13'!
incrementar: cal con: kilos
	^cal + (kilos * 600).! !


Object subclass: #Helado
	instanceVariableNames: 'cremoso frutal light tienePromoFraPoo kilos tipo consistencia'
	classVariableNames: ''
	package: 'ParcialAlgoNui'!

!Helado methodsFor: 'accessing' stamp: 'DS 11/11/2021 21:39'!
kilos: anInteger 
	kilos := anInteger! !

!Helado methodsFor: 'accessing' stamp: 'PS 11/8/2021 20:43'!
tienePromoFraPoo
	^ tienePromoFraPoo . ! !

!Helado methodsFor: 'accessing' stamp: 'PS 11/8/2021 20:40'!
tienePromoFraPoo: tiene
	tienePromoFraPoo  := tiene. ! !

!Helado methodsFor: 'accessing' stamp: 'DS 11/11/2021 21:28'!
light: esLight
	(esLight) ifTrue: [ 
		consistencia := Light new.
	 ].! !


!Helado methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:08'!
tipo: aTipo 
	tipo := aTipo.! !

!Helado methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:43'!
calorias
| cal | 
  	
cal := 0.
cal := tipo incrementar: cal con: kilos.

cal := consistencia alterar: cal.

"(tienePromoFraPoo  ) ifTrue: [ cal := cal + 500 ] .
"
^ cal.! !


!Helado methodsFor: 'initialization' stamp: 'DS 11/11/2021 21:26'!
initialize 

cremoso := false.
frutal := false.
light := false.
kilos := 0.
tienePromoFraPoo := false.

tipo := SinTipo new.
consistencia := NoLight new.
! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Helado class
	instanceVariableNames: ''!

!Helado class methodsFor: 'accessing' stamp: 'DS 11/11/2021 21:04'!
frutal
	|result|
	result := self new.
	result tipo: (Frutal new).
	^result.! !

!Helado class methodsFor: 'accessing' stamp: 'DS 11/11/2021 21:21'!
cremoso
	|result|
	result := self new.
	result tipo: (Cremoso new).
	^result.! !


Object subclass: #Light
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'ParcialAlgoNui'!

!Light methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:27'!
alterar: cal
	^cal * 0.5! !


Object subclass: #NoLight
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'ParcialAlgoNui'!

!NoLight methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:27'!
alterar: cal
	^cal ! !


Object subclass: #SinTipo
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'ParcialAlgoNui'!

!SinTipo methodsFor: 'as yet unclassified' stamp: 'DS 11/11/2021 21:15'!
incrementar: cal con: kilos
	^cal ! !
